Create a curation custom field
POST
/api/v3/curations/custom-fields
const url = 'https://api.tryletterhead.com/api/v3/curations/custom-fields?api=true';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"Vendor SKU","maxLength":60}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://api.tryletterhead.com/api/v3/curations/custom-fields?api=true' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "Vendor SKU", "maxLength": 60 }'Define a new curation custom field for the company (max 20 per company). Once created, it can be
set on a curation via customFields (Update a curation) or mapped from a data feed (see
Create a data feedβs fieldMappings).
Authorizations
Section titled βAuthorizations βParameters
Section titled β Parameters βQuery Parameters
Section titled βQuery Parameters β api
required
boolean
Required. Set to true to authenticate with your company API key rather than a signed-in session.
Request Body required
Section titled βRequest Body required β Media type application/json
object
name
required
Letters, numbers, spaces, hyphens, and underscores only (max 60 characters).
string
maxLength
required
Maximum length, in characters, of a value stored in this field (max 500).
integer
Example
{ "name": "Vendor SKU", "maxLength": 60}Responses
Section titled β Responses βCustom field created
Media type application/json
object
items
object
id
integer
companyId
integer
name
string
key
string
maxLength
integer
createdAt
string
updatedAt
string
message
string
total
integer
Example
{ "items": { "id": 3, "companyId": 999999999, "name": "Vendor SKU", "key": "vendor-sku", "maxLength": 60, "createdAt": "2026-06-01T12:00:00+00:00", "updatedAt": "2026-06-01T12:00:00+00:00" }, "message": "Custom field created.", "total": 1}Still can’t find what you need? Contact support.